# encoding: utf-8
module ProxyTester
  module Actions
    class ClearEnvironment

      private

      attr_reader :variables

      public

      def initialize(options = {})
        @variables = options.fetch(:variables, %w{ http_proxy https_proxy HTTP_PROXY HTTPS_PROXY })
      end

      def run
        variables.each { |var| ENV.delete(var) }
      end
    end
  end
end
