module ProxyTester
  class DatabaseSession
    def initialize
      database = ':memory:'
      #database = File.expand_path('../../../tmp/database.db', __FILE__)

      FileUtils.rm database if database != ':memory:' and File.exists?( database)

      ActiveRecord::Base.establish_connection adapter: 'sqlite3', database: database
      silence :stdout do
        ActiveRecord::Migrator.up File.expand_path( '../../../db/migrate', __FILE__ )
      end
    end
  end
end
