# encoding: utf-8
module ProxyTester
  class Environment

    private

    attr_reader :stdin, :stderr

    public

    def initialize(stdin = $stdin, stderr = $stderr)
      @stdin  = stdin
      @stderr = stderr
    end

    def password
      stderr.printf "Please enter password: "
      @password = stdin.readline.chomp
    end
  end
end
