# encoding: utf-8
module ProxyTester
  class User < ActiveRecord::Base
    #crypt_keeper :password, :encryptor => :aes, :key => ProxyTester.environment.password, salt: 'salt'

    validates :name, presence: true
    validates :password, presence: true

    def self.load_from(source)
      source.create_users(self)
    end

    def to_string
      name
    end

    def to_login(options = {})
      result = []
      result << name

      if options.key? :cleartext
        result << password
      else
        result << '*' * 4
      end

      result.join(':').shellescape
    end
  end
end
